Get V1 vault allocations
Current market allocation state of a Morpho Vault V1, including timelocked per-market cap changes and market removals. Covers every market with a current or pending relationship to the vault, ordered by ascending market id.
Vault selector example: 1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB (format: <chain_id>:<vault_address>; replace with the target vault).
Enterprise API access
For enterprise access, use https://private.api.morpho.org as the base URL and send your API key in the x-api-key header. Request an API key.
Path Parameters
vault-selector*string
Selector formatted as <chain_id>:<vault_address>. Example: 1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB.
Format
<chain_id>:<vault_address>Response Body
application/json
const baseUrl = process.env.CORE_REST_BASE_URL ?? "https://api.morpho.org";const apiKey = process.env.MORPHO_API_KEY ?? "<MORPHO_API_KEY>";const vaultSelector = "1:0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB";const url = new URL(`${baseUrl}/v0/vaults-v1/${vaultSelector}/allocations`);const response = await fetch(url, { headers: { accept: "application/json", "x-api-key": apiKey, },});if (!response.ok) throw new Error(await response.text());const body = await response.json();{
"data": {
"chain_id": 1,
"vault_address": "0xBEEF01735c132Ada46AA9aA4c54623cAA92A64CB",
"last_indexed_block": "19847234",
"allocations": [
{
"market_id": "0xb323495f7e4148be5643a4ea4a8221eef163e4bccfded827a6f46947d7ad9afb",
"supply_assets": "62500000000000",
"supply_shares": "61800000000000000",
"supply_cap": "24519928653854221733733552434404946937899825954937634815",
"supply_queue_index": 0,
"withdraw_queue_index": 2,
"pending": {
"supply_cap": null,
"removal": null
}
},
{
"market_id": "0xc54d7acf14de29e0e5527cabd7a576506870346a78a11a6762e2cca66322ec41",
"supply_assets": "20000000000000",
"supply_shares": "19800000000000000",
"supply_cap": "30000000000000",
"supply_queue_index": 1,
"withdraw_queue_index": 0,
"pending": {
"supply_cap": null,
"removal": {
"valid_at_timestamp": 1730259200
}
}
},
{
"market_id": "0xfff1970c0ffae288764186fbb38a9171a17e98676744a1e345809cb8b9e73342",
"supply_assets": "0",
"supply_shares": "0",
"supply_cap": "0",
"supply_queue_index": null,
"withdraw_queue_index": null,
"pending": {
"supply_cap": {
"value": "10000000000000",
"valid_at_timestamp": 1730172800
},
"removal": null
}
}
]
}
}